// Copyright 3D Control Systems, Inc. All Rights Reserved 2017-2019.
// Built in San Francisco.

// This software is distributed under a commercial license for personal,
// educational, corporate or any other use.
// The software as a whole or any parts of it is prohibited for distribution or
// use without obtaining a license from 3D Control Systems, Inc.

// All software licenses are subject to the 3DPrinterOS terms of use
// (available at https://www.3dprinteros.com/terms-and-conditions/),
// and privacy policy (available at https://www.3dprinteros.com/privacy-policy/)

import QtQuick 2.7
import AppDialogs 1.0
import AppStyle 1.0

RowTextAnim {
    property string loadSlotName: ""
    animSource: "gifs/filament-load-" + loadSlotName + "_final.gif"
    infoText: qsTr("Place the filament in the drybox and push the filament through the lighted hole.\nWhen done press Load.")

    ConfirmDialog {
        id: loadConfirm
        z: 105
        anchors {
            verticalCenterOffset: AppStyle.theme.headHeight * 0.6
            centerIn: parent
        }
        visible: false
        titleText: qsTr("Info")
        msg: qsTr("Autoload Slot " + loadSlotName + ", Are you sure?")
        yesText: qsTr("Yes")
        noText: qsTr("No")
        onYes: {
            filamentWizardRoot.pushView("FilamentWait.qml", {
                                            "gcodeToExecute": 'M98 P"0:/sys/filachangload/load/autoload' + loadSlotName + '.g"',
                                            "slotName": loadSlotName
                                        })
        }
    }

    footer {
        visible: !loadConfirm.visible
        backBtnVisible: !loadConfirm.visible
        nextBtnVisible: !loadConfirm.visible
        backBtnText: qsTr("Back")
        nextBtnText: qsTr("Load")
        onBackClicked: {
            filamentWizardRoot.cancelWizard()
        }
        onNextClicked: {
            loadConfirm.visible = true
        }
    }
}
